create payment method
curl --request POST \
--url https://api.unprice.dev/v1/payment-methods/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paymentProvider": "stripe",
"customerId": "cus_1234567890",
"successUrl": "https://example.com/dashboard",
"cancelUrl": "https://example.com/login"
}
'import requests
url = "https://api.unprice.dev/v1/payment-methods/create"
payload = {
"paymentProvider": "stripe",
"customerId": "cus_1234567890",
"successUrl": "https://example.com/dashboard",
"cancelUrl": "https://example.com/login"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paymentProvider: 'stripe',
customerId: 'cus_1234567890',
successUrl: 'https://example.com/dashboard',
cancelUrl: 'https://example.com/login'
})
};
fetch('https://api.unprice.dev/v1/payment-methods/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"url": "https://example.com/dashboard"
}{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}paymentMethods
create payment method
Create a payment method for a customer
POST
/
v1
/
payment-methods
/
create
create payment method
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Body of the request
The customer create payment method request
The payment provider code to use
Available options:
stripe, square, sandbox Example:
"stripe"
The unprice customer id generated by the system for this customer
Example:
"cus_1234567890"
The success url if the customer signs up
Example:
"https://example.com/dashboard"
The cancel url if the customer cancels the signup
Example:
"https://example.com/login"
⌘I